# gstvp8rangedecoder

## Functions

### gst_vp8_range_decoder_get_pos

    guint
    gst_vp8_range_decoder_get_pos (GstVp8RangeDecoder * rd)

Parameters:

`rd` –
No description available
Returns (guint) –
No description available

### gst_vp8_range_decoder_get_state

    void
    gst_vp8_range_decoder_get_state (GstVp8RangeDecoder * rd,
                                     GstVp8RangeDecoderState * state)

Parameters:

`rd` –
No description available
`state` –
No description available
Returns (void ) –
No description available

### gst_vp8_range_decoder_init

    gboolean
    gst_vp8_range_decoder_init (GstVp8RangeDecoder * rd,
                                guchar * buf,
                                guint buf_size)

Parameters:

`rd` –
No description available
`buf` –
No description available
`buf_size` –
No description available
Returns (gboolean) –
No description available

### gst_vp8_range_decoder_read

    gint
    gst_vp8_range_decoder_read (GstVp8RangeDecoder * rd,
                                guint8 prob)

Parameters:

`rd` –
No description available
`prob` –
No description available
Returns (gint) –
No description available

### gst_vp8_range_decoder_read_literal

    gint
    gst_vp8_range_decoder_read_literal (GstVp8RangeDecoder * rd,
                                        gint bits)

Parameters:

`rd` –
No description available
`bits` –
No description available
Returns (gint) –
No description available

## Structures

### GstVp8RangeDecoder

    struct _GstVp8RangeDecoder {
      const guchar *buf;
      guint buf_size;

    };

Range decoder.

#### Fields

`buf` (guchar *) –

the original bitstream buffer start

`buf_size` (guint) –

the original bitstream buffer size

### GstVp8RangeDecoderState

    struct _GstVp8RangeDecoderState {
      guint8 range;
      guint8 value;
      guint8 count;
    };

Range decoder state.

#### Fields

`range` (guint8) –

current "Range" value

`value` (guint8) –

current "Value" value

`count` (guint8) –

number of bits left in "Value" for decoding

The results of the search are